v 13.0 Third Party 9733
Download for v 13.0 Deploy on Odoo.sh
Required Apps Point of Sale (point_of_sale)
Inventory (stock)
Invoicing (account)
Lines of code 2473
Technical Name hotel
LicenseAGPL-3
Websitehttps://github.com/OCA/vertical-hotel/
Also available in version v 15.0 v 11.0 v 14.0 v 6.1 v 12.0 v 7.0
You bought this module and need support? Click here!
Required Apps Point of Sale (point_of_sale)
Inventory (stock)
Invoicing (account)
Lines of code 2473
Technical Name hotel
LicenseAGPL-3
Websitehttps://github.com/OCA/vertical-hotel/
Also available in version v 15.0 v 11.0 v 14.0 v 6.1 v 12.0 v 7.0

Hotel Management System

HOTEL BOOKING

Book your room

ALL INCLUSIVE

Facilities provided

AMENITIES

Extra class hotel service

RESTAURANTS

Bon Appetite !

REPORTS

Manage and Analyze

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
by
suyatmini
on 4/21/21, 9:14 PM

i see...the quantity change on date, so if i set from 22 April to 23 April, the quantity said 1, and if i set from 22 to 23 April its said 2.  but this services not calculate from date, its from kg, i thinks its a bug in this module


by
Sherif
on 5/6/21, 12:55 AM

I get this error how can i fix it 



Error:

Odoo Server Error


Traceback (most recent call last):

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\http.py", line 683, in dispatch

    result = self._call_function(**self.params)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\http.py", line 359, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\http.py", line 347, in checked_call

    result = self.endpoint(*a, **kw)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\http.py", line 912, in __call__

    return self.method(*args, **kw)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\http.py", line 531, in response_wrap

    response = f(*args, **kw)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\web\controllers\main.py", line 1393, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\web\controllers\main.py", line 1381, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\api.py", line 396, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\api.py", line 383, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-72>", line 2, in button_immediate_install

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\base\models\ir_module.py", line 73, in check_and_log

    return method(self, *args, **kwargs)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\base\models\ir_module.py", line 474, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\base\models\ir_module.py", line 592, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\modules\registry.py", line 89, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\modules\loading.py", line 455, in load_modules

    loaded_modules, update_module, models_to_check)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\modules\loading.py", line 348, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\modules\loading.py", line 178, in load_module_graph

    load_openerp_module(package.name)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\modules\module.py", line 358, in load_openerp_module

    __import__('odoo.addons.' + module_name)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\hotel\__init__.py", line 3, in <module>

    from . import models

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\hotel\models\__init__.py", line 2, in <module>

    from . import hotel_folio_line

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\hotel\models\hotel_folio_line.py", line 11, in <module>

    class HotelFolioLine(models.Model):

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\addons\hotel\models\hotel_folio_line.py", line 12, in HotelFolioLine

    @api.multi

Exception


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\http.py", line 639, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "C:\Program Files\Odoo 14.0.20210505\server\odoo\http.py", line 315, in _handle_exception

    raise exception.with_traceback(None) from new_cause

AttributeError: module 'odoo.api' has no attribute 'multi'


by
suyatmini
on 4/21/21, 9:09 PM

hi, i try this module, i have add a services, then after that i add to folio, but there is don't show quantity, how to change of quantity services on folio? i make a laundry services, then after i add on folio the quantity show 1 and the UoM is kg, so how to change it into 2 kg, or 2.5kg if there don't show quantity input on folio?